For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rule Sets

Rule sets serve as logical bindings on top of individual rules that help you organize and manage rules.

Add a rule Set

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/ruleSet
POST /gateway/ccm/api/governance/ruleSet?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 408

{
  "ruleSet": {
    "uuid": "text",
    "accountId": "text",
    "name": "text",
    "description": "text",
    "tags": [
      "text"
    ],
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "cloudProvider": "AWS",
    "rulesIdentifier": [
      "text"
    ],
    "isOOTB": true,
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update a Rule set

put

Update a Rule set

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/governance/ruleSet
PUT /gateway/ccm/api/governance/ruleSet?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 408

{
  "ruleSet": {
    "uuid": "text",
    "accountId": "text",
    "name": "text",
    "description": "text",
    "tags": [
      "text"
    ],
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "cloudProvider": "AWS",
    "rulesIdentifier": [
      "text"
    ],
    "isOOTB": true,
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a rule set

delete

Delete a Rule set for the given a ID.

Path parameters
ruleSetIdstringRequired

Unique identifier for the rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/governance/ruleSet/{ruleSetId}
DELETE /gateway/ccm/api/governance/ruleSet/{ruleSetId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch rule sets for account

post

List all rule sets

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/ruleSet/list
POST /gateway/ccm/api/governance/ruleSet/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "ruleSet": {
    "accountId": "text",
    "isOOTB": true,
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "tags": "text",
    "cloudProvider": "text",
    "ruleSetIds": [
      "text"
    ],
    "ruleIds": [
      "text"
    ],
    "search": "text",
    "limit": 1,
    "offset": 1,
    "orderBy": [
      {
        "field": "PERSPECTIVE_ID",
        "order": "ASCENDING"
      }
    ]
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?